package xtools.boot.core.utils;

import xtools.boot.api.enums.BaseEnum;
import xtools.boot.api.model.EnumInfoDto;
import xtools.core.ArrUtils;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>Title : EnumUtils</p>
 * <p>Description : EnumUtils</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/2/14 16:29
 */
public class EnumUtils implements Serializable {

    /**
     * 获取枚举信息
     *
     * @param list 枚举值列表
     * @return 枚举的详细信息
     */
    public static List<EnumInfoDto> getEnumInfos(BaseEnum... list) {
        if (ArrUtils.isEmpty(list)) {
            return null;
        }
        List<EnumInfoDto> dataList = new ArrayList<>();
        for (BaseEnum item : list) {
            dataList.add(new EnumInfoDto(item.code(), item.desc()));
        }
        return dataList;
    }


}
